Bug 1075499 (CVE-2014-2599) - CVE-2014-2599 xen: HVMOP_set_mem_access is not preemptible
Summary: CVE-2014-2599 xen: HVMOP_set_mem_access is not preemptible
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2014-2599
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1080425
Blocks: 1075501
TreeView+ depends on / blocked
 
Reported: 2014-03-12 09:44 UTC by Petr Matousek
Modified: 2021-02-17 06:47 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-12 09:46:55 UTC


Attachments (Terms of Use)

Description Petr Matousek 2014-03-12 09:44:13 UTC
Processing of the HVMOP_set_mem_access HVM control operations does not check the size of its input and can tie up a physical CPU for extended periods of time.

A malicious administrator of a domain privileged with regard to an HVM guest can cause Xen to become unresponsive leading to a Denial of Service.

Acknowledgements:

Red Hat would like to thank the Xen project for reporting this issue.

Comment 1 Petr Matousek 2014-03-12 09:45:46 UTC
Statement:

Not vulnerable.

This issue did not affect the versions of the kernel-xen package as shipped with Red Hat Enterprise Linux 5.

This issue did not affect Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG 2 as we did not have support for Xen hypervisor.

Comment 3 Petr Matousek 2014-03-25 12:20:37 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1080425]


Note You need to log in before you can comment on or make changes to this bug.